Summary: An op5 Monitor plugin to check connectivity using ICMP
Name: monitor-plugin-check_icmp
Version: %{op5version}
Release: %{op5release}%{?dist}
License: GPLv2+
Group: op5/system-addons
URL: http://www.op5.com/support
Source0: %name-%version.tar.gz
Prefix: /opt/plugins
BuildRoot: %{_tmppath}/%{name}-%{version}
BuildRequires: gcc

%description
Checks connectivity on the network using ICMP. It lets you specify thresholds on RTA and LOSS, and also how many packets to send, packetsize, TTL, Interval between packets, and timeout.

%prep
%setup -q

%build
%__make


%install
make DESTDIR=%buildroot%prefix install
pushd %buildroot%prefix
	mkdir -p -m 755 suid
	mv check_icmp suid
	for alias in ping fping host; do
		ln -s check_icmp suid/check_$alias
	done
popd

%clean
%__make clean
rm -rf %buildroot

%files
%defattr(4755,root,root,-)
/opt/plugins/suid/check_icmp
/opt/plugins/suid/check_host
/opt/plugins/suid/check_fping
/opt/plugins/suid/check_ping

%changelog
* Mon May 23 2013 Anton Löfgren <alofgren@op5.com>
Inital repository migration packaging

